#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
# Keep same perms on rc.postgres.new:
if [ -e usr/local/etc/rc.d/rc.postgres ]; then
  cp -a usr/local/etc/rc.d/rc.postgres usr/local/etc/rc.d/rc.postgres.new.incoming
  cat usr/local/etc/rc.d/rc.postgres.new > usr/local/etc/rc.d/rc.postgres.new.incoming
  mv usr/local/etc/rc.d/rc.postgres.new.incoming usr/local/etc/rc.d/rc.postgres.new
fi
config usr/local/etc/rc.d/rc.postgres.new
( cd usr/local/bin ; rm -rf postmaster )
( cd usr/local/bin ; ln -sf postgres postmaster )
( cd usr/local/lib ; rm -rf libecpg.so.5 )
( cd usr/local/lib ; ln -sf libecpg.so.5.2 libecpg.so.5 )
( cd usr/local/lib ; rm -rf libpq.so.5 )
( cd usr/local/lib ; ln -sf libpq.so.5.0 libpq.so.5 )
( cd usr/local/lib ; rm -rf libecpg_compat.so.2 )
( cd usr/local/lib ; ln -sf libecpg_compat.so.2.2 libecpg_compat.so.2 )
( cd usr/local/lib ; rm -rf libecpg_compat.so )
( cd usr/local/lib ; ln -sf libecpg_compat.so.2.2 libecpg_compat.so )
( cd usr/local/lib ; rm -rf libecpg.so )
( cd usr/local/lib ; ln -sf libecpg.so.5.2 libecpg.so )
( cd usr/local/lib ; rm -rf libpgtypes.so.2 )
( cd usr/local/lib ; ln -sf libpgtypes.so.2.2 libpgtypes.so.2 )
( cd usr/local/lib ; rm -rf libpgtypes.so )
( cd usr/local/lib ; ln -sf libpgtypes.so.2.2 libpgtypes.so )
( cd usr/local/lib ; rm -rf libpq.so )
( cd usr/local/lib ; ln -sf libpq.so.5.0 libpq.so )
